/**********************************
    LAYOUT
**********************************/
#header {
    position: sticky;
    top: 0;
    padding: 12px 34px;
    background-color: var(--blue);
    color: white;
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 20px;
    z-index: 9999;
}

#headerLogo {
    aspect-ratio: 319.48/87.99;
    max-width: 319px;
}

@media (max-width: 1000px) {
    #header {
        display: flex;
        align-items: center;
        padding: 22.5px;
    }

    #headerLogo {
        max-width: 210px;
    }
}


/**********************************
    NAV
**********************************/
#headerNav {
    display: flex;
    gap: 10px 30px;
    align-items: center;
    justify-content: flex-end;
    flex-wrap: wrap;
}

#headerNavMenu {
    list-style: none;
    padding: 0;
    margin: 0;
    display: flex;
    gap: 10px 30px;
    align-items: center;
    justify-content: flex-end;
    flex-wrap: wrap;
}

.headerNavLink {
    font-weight: 700;
    font-size: 14px;
    border-bottom: 1px solid transparent;
}

.headerNavLink.active {
    border-color: var(--white)
}

.headerNavLink.active:hover {
    border-color: transparent;
}

@media (max-width: 1000px) {
    #headerNav {
        display: none;
    }
}

/**********************************
    NAV DROPDOWNS
**********************************/
.headerNavItemWrapper {
    position: relative;
}

.headerNavItemBtn {
    background-color: transparent;
    color: white;
    border: none;
    border-bottom: 1px solid transparent;
    padding: 0;
    font-size: 14px;
    font-weight: 700;
}

.headerNavItem {
    cursor: pointer;
    font-size: 14px;
    font-weight: 700;
}

.headerNavItemDrop {
    position: absolute;
    top: 101%;
    right: -25%;
    display: none;
    background-color: var(--blue);
    text-align: left;
    z-index: 10;
    min-width: 250px;
    list-style: none;
    padding: 7px 14px;
}

.headerNavItemDrop.active {
    display: block;
}

.headerNavItemWrapper:hover .headerNavItemDrop {
    display: block;
}

.headerNavItemDrop li {
    padding-bottom: 8px;
}

.headerNavItemDropLink {
    font-weight: 700;
    font-size: 14px;
    white-space: nowrap;
    border-bottom: 1px solid transparent;
}

.headerNavItemDropLink.active {
    border-color: var(--white)
}

.headerNavItemDropLink.active:hover {
    border-color: transparent;
}

.headerNavItemWrapper:has(.headerNavItemDropLink.active) .headerNavItemBtn {
    border-color: var(--white)
}

@media screen and (max-width: 1000px) {

}

#headerCtaButton {
    padding: 24px 35px;
    border-radius: 999px;
    background-color: var(--red);
    text-align: center;
    white-space: nowrap;
    font-weight: 700;

}

@media (max-width: 1000px) {
    #headerCtaButton {
        display: none;
    }
}


.menuOpen {
    display: none;
    background-color: transparent;
    border: none;
    padding: 0;
}

@media (max-width: 1000px) {
    .menuOpen {
        aspect-ratio: 1;
        display: initial;
        width: 41px;
    }
}

/*
    SLIDER
 */
#slider {
    background-color: var(--white);
    width: 100%;
    height: 100%;
}

#sliderContent {
    padding: 20px 30px;
    width: 100%;
    height: 100%;
}

.globalClose {
    background-color: transparent;
    border: none;
    display: block;
    margin: 0 0 0 auto;
    padding: 25px 10px;
}

/*
    SLIDER NAV
 */
#sliderNav {
    position: relative;
}

#sliderNavMenu {
    list-style: none;
    padding: 0;
    margin: 0;
}

.sliderNavItemSolo {
    color: var(--red);
    font-size: 32px;
    font-weight: 700;
    font-family: Nokora, sans-serif;
    padding: 11px 0;
}

.sliderNavItemSoloLink {
}

.sliderNavItemWrapper {
    padding: 11px 0;
}

.sliderNavItemBtn {
    color: var(--red);
    font-size: 32px;
    font-weight: 700;
    font-family: Nokora, sans-serif;
    display: flex;
    align-items: center;
    gap: 10px;

    background-color: transparent;
    border: none;
    padding: 0;
    margin: 0;
}

.sliderNavItemBtnArrow {
    aspect-ratio: 1;
    width: 24px;
}

.sliderNavItemSlider {
    width: 100%;
    height: 100%;
    background-color: var(--white);
}

.sliderNavItemSliderContent {
    overflow-y: scroll;
    width: 100%;
    height: 100%;
    padding: 20px 30px;
}

.sliderNavItemSliderClose {
    color: var(--red);
    font-size: 32px;
    font-weight: 700;
    font-family: Nokora, sans-serif;
    display: flex;
    align-items: center;
    gap: 10px;

    background-color: transparent;
    border: none;
    margin: 0;
    opacity: 0.6;
    padding: 15px 0 15px 10px;
}

.sliderNavItemSliderCloseArrow {
    aspect-ratio: 1;
    width: 24px;
    transform: rotate(180deg);
}

.sliderNavItemSliderLinks {
    list-style: none;
    padding: 0;
    margin: 0;
}

.sliderNavItemSliderLinks li {
    color: var(--red);
    font-size: 32px;
    font-weight: 700;
    font-family: Nokora, sans-serif;
    padding: 11px 0;
}

.sliderNavItemDropLink {
}

#sliderCtaButton {
    position: absolute;
    bottom: 20px;
    padding: 24px 35px;
    border-radius: 999px;
    background-color: var(--red);
    text-align: center;
    white-space: nowrap;
    color: var(--white);
}

